petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDASetSizes

Sets the global sizes

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetSizes(DM da, PetscInt M, PetscInt N, PetscInt P)

Logically Collective on DMDA

### Input Parameters

| da | - the DMDA
| M | - the global X size (or PETSC_DECIDE)
| N | - the global Y size (or PETSC_DECIDE)
| P | - the global Z size (or PETSC_DECIDE)

### See Also

DMDAGetSize(), PetscSplitOwnership()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages